@media (max-width: 768px) {
  .sidebar {
    left: -250px;
  }

  .sidebar.active {
    left: 0;
  }

  .main-content {
    margin-left: 0;
    padding-top: 60px;
  }

  .topbar {
    position: fixed;
    width: 100%;
  }
}


@media (max-width: 992px) {
  .mini-card-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 576px) {
  .mini-card-grid {
    grid-template-columns: 1fr;
  }
}


@media (max-width: 768px) {
  .dashboard-charts {
    display: flex !important;
    flex-direction: column !important;
  }

  .chart-box {
    width: 100% !important;
  }

  .chart-box + .chart-box {
    margin-top: 20px;
  }
}




@media (max-width: 768px) {

  .category-page {
    padding: 10px;
    gap: 20px;
  }

  .form-grid {
    flex-direction: column;
    align-items: stretch;
  }

  .form-grid input {
    width: 100%;
    flex: 1 1 auto;
    max-height: 40px;
  }

  .btn-green,
  .btn-red {
    width: 100%;
    padding: 12px;
    font-size: 1rem;
  }

  .category-controls {
    flex-direction: column;
    align-items: stretch;
  }

  .search-box input[type="text"] {
    width: 100%;
  }

  .category-table th,
  .category-table td {
    padding: 8px;
    font-size: 13px;
  }

  .category-table td img.cat-icon {
    width: 28px;
    height: 28px;
  }

  .icon-btn {
    margin-right: 4px;
    font-size: 16px;
  }

  .pagination-controls {
    justify-content: center;
    gap: 6px;
  }

  .modal-content {
    width: 90%;
  }

}

